View Issue Details

IDProjectCategoryView StatusLast Update
0000834PluginsNetworkpublic2012-01-12 10:57
ReporterArtyAssigned Toalexy 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0000834: Не работает подключение сетевых дисков когда галка "[ ] Показывать полные пути к общим ресурсам" снята
DescriptionВ сетевом плагине отломалась возможность подключения сетевых дисков.
При любой (F5, F6, с паролем и без) попытке подключить сетевой диск выпадает сообщение вида:
╔═══════════════ Ошибка ═══════════════╗
║ The network name cannot be found. ║
║ Не удается подсоединить "Music" к F: ║
║ Продолжить ║
╚══════════════════════════════════════╝
Additional InformationFAR v2.0 alpha build 872 x86
Vista SP1 x86
TagsNo tags attached.

Relationships

related to 0000650 closedDrKnS Far Manager 1.7x FAR не дает создать символическую ссылку на корневую шару 

Activities

DiRTy_GaRRy

2009-04-20 11:51

developer   bugnote:0002977

На том же фаре с плагином 2.0.0.49 у меня работает. Правда на 2003-м сервере.

Arty

2009-04-20 12:14

reporter   bugnote:0002979

Хм, я проверил, под XP тоже работает. Видимо только в Висте сломалось. Сейчас еще проверю на Server 2008 и отпишу здесь результат.

vskirdin

2009-04-20 12:18

administrator   bugnote:0002980

Arty, при заведении траблы выбирай правильно проект.
(этот я переместил в плагины)

Arty

2009-04-20 12:48

reporter   bugnote:0002982

Путем экспериментов выяснил, что все дело в настройке "Показывать полные пути к общим ресурсам". Если флажок снят, то диски не подсоединяются.

Arty

2009-04-20 12:54

reporter   bugnote:0002983

Вот этот баг 0000650 также связан с этой настройкой.
Если флаг снят, то символические ссылки на шары перестают создаваться.

fibre

2011-12-23 14:15

reporter   bugnote:0008201

только что проверил - не повторяется, win7 sp1 x64, far 3.0.2311 x64.
от галки "Show share full name" не зависит.
много времени прошло, видимо, "само починилось".

Arty

2011-12-26 11:10

reporter   bugnote:0008252

Last edited: 2011-12-26 15:05

View 2 revisions

Не починилось (FAR 3.0 build 2331 x86, network plugin v3.0.0.78), галка "[ ] Показывать полные пути к общим ресурсам" снята:
══════════════════════ Сеть: \\HELEN ═══════════════════10:09
и Сетевое имя │*:│ Комментарий ║
.. │ │ ║
 ADMIN$ │ │Remote Admin ║
 C$ │ │Default share ║
 D$ │ │Default share ║
 E$ │ │Default share ║
 Users │ │ ║

При попытке подсоединить сетевой диск происходит ошибка:
╔═══════════════ Ошибка ═══════════════╗
║ The network name cannot be found. ║
║ Не удаётся подсоединить "Users" к Z: ║
╟──────────────────────────────────────╢
║ { Продолжить } ║
╚══════════════════════════════════════╝

После создания символической ссылки на папку в неё невозможно зайти:
╔════════════════════════ Ошибка ════════════════════════╗
║ The name of the file cannot be resolved by the system. ║
║ Users ║
╟────────────────────────────────────────────────────────╢
║ { OK } ║
╚════════════════════════════════════════════════════════╝

fibre

2011-12-26 12:35

reporter   bugnote:0008253

да, прошу прощения, и правда повторяется.

alexy

2012-01-11 01:33

administrator   bugnote:0008354

build 80

Arty

2012-01-12 10:52

reporter   bugnote:0008386

build 80 - работает.

Issue History

Date Modified Username Field Change
2009-04-20 11:46 Arty New Issue
2009-04-20 11:51 DiRTy_GaRRy Note Added: 0002977
2009-04-20 12:13 vskirdin Project Far Manager => Plugins
2009-04-20 12:14 vskirdin Category _Common => Network
2009-04-20 12:14 Arty Note Added: 0002979
2009-04-20 12:18 vskirdin Note Added: 0002980
2009-04-20 12:48 Arty Note Added: 0002982
2009-04-20 12:54 Arty Note Added: 0002983
2009-06-03 00:18 alexy Relationship added related to 0000650
2011-12-23 14:15 fibre Note Added: 0008201
2011-12-26 11:10 Arty Note Added: 0008252
2011-12-26 12:35 fibre Note Added: 0008253
2011-12-26 15:05 Arty Note Edited: 0008252 View Revisions
2012-01-10 23:57 alexy Assigned To => alexy
2012-01-10 23:57 alexy Status new => assigned
2012-01-10 23:58 alexy Summary Не работает подключение сетевых дисков => Не работает подключение сетевых дисков когда галка "[ ] Показывать полные пути к общим ресурсам" снята
2012-01-11 01:33 alexy Note Added: 0008354
2012-01-11 01:33 alexy Status assigned => feedback
2012-01-12 10:52 Arty Note Added: 0008386
2012-01-12 10:52 Arty Status feedback => assigned
2012-01-12 10:52 Arty Status assigned => resolved
2012-01-12 10:57 alexy Status resolved => closed
2012-01-12 10:57 alexy Resolution open => fixed
2012-01-12 10:57 alexy Fixed in Version => 3.0